install.packages("diagmeta")
library(diagmeta)

data(Schneider2017)
View(Schneider2017)
head(Schneider2017)

help(diagmeta)
args(diagmeta)

diag1 <- diagmeta(tpos, fpos, tneg, fneg, cutpoint,
                  studlab = paste(author, year, group),
                  data = Schneider2017,
                  model = "CICS", log.cutoff = TRUE)
summary(diag1)
diagstats(diag1, c(25, 30))

pdf("Figure 1.pdf", width = 8, height = 8)
plot(diag1, xlab = "FeNO [ppm]")
dev.off()

help(plot.diagmeta)

pdf("Figure 2.pdf", width = 8, height = 8)
plot(diag1, which = "SROC", mark.optcut = TRUE, 
     ciSens = TRUE, ciSpec = TRUE, shading = "hatch",
     ellipse = TRUE)
dev.off()
